enum OrderType {
  STANDARD
  LAST_MINUTE
  EMERGENCY
  RECURRING
}

enum OrderStatus {
  DRAFT
  SUBMITTED
  CONFIRMED
  IN_PROGRESS
  COMPLETED
  CANCELLED
}

type Order @table(name: "orders") {
  id: UUID! @default(expr: "uuidV4()")
  orderNumber: String!
  partnerId: UUID!
  orderType: OrderType
  orderStatus: OrderStatus
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}
